Get Evaluation
curl --request GET \
--url https://api.promptlayer.com/reports/{report_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.promptlayer.com/reports/{report_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.promptlayer.com/reports/{report_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.promptlayer.com/reports/{report_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.promptlayer.com/reports/{report_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.promptlayer.com/reports/{report_id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.promptlayer.com/reports/{report_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"report": {
"id": 123,
"name": "<string>",
"deleted": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"workspace_id": 123,
"comment": "<string>",
"is_blueprint": true,
"score": {},
"score_configuration": {},
"score_matrix": "<array>",
"score_calculation_error": "<string>",
"parent_report_id": 123,
"dataset_id": 123,
"user_id": 123,
"prompt_registry_id": 123,
"prompt_version_number": 123
},
"status": "RUNNING",
"stats": {
"status_counts": {
"COMPLETED": 123,
"FAILED": 123,
"QUEUED": 123,
"RUNNING": 123
}
},
"report_columns": [
{
"id": 123,
"report_id": 123,
"column_type": "<string>",
"name": "<string>",
"position": 123,
"is_part_of_score": true,
"configuration": {},
"score": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Evaluations & Reports API
Get Evaluation
GET
/
reports
/
{report_id}
Get Evaluation
curl --request GET \
--url https://api.promptlayer.com/reports/{report_id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.promptlayer.com/reports/{report_id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.promptlayer.com/reports/{report_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.promptlayer.com/reports/{report_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.promptlayer.com/reports/{report_id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.promptlayer.com/reports/{report_id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.promptlayer.com/reports/{report_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"success": true,
"message": "<string>",
"report": {
"id": 123,
"name": "<string>",
"deleted": true,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"workspace_id": 123,
"comment": "<string>",
"is_blueprint": true,
"score": {},
"score_configuration": {},
"score_matrix": "<array>",
"score_calculation_error": "<string>",
"parent_report_id": 123,
"dataset_id": 123,
"user_id": 123,
"prompt_registry_id": 123,
"prompt_version_number": 123
},
"status": "RUNNING",
"stats": {
"status_counts": {
"COMPLETED": 123,
"FAILED": 123,
"QUEUED": 123,
"RUNNING": 123
}
},
"report_columns": [
{
"id": 123,
"report_id": 123,
"column_type": "<string>",
"name": "<string>",
"position": 123,
"is_part_of_score": true,
"configuration": {},
"score": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Legacy Dataset, Evaluation, and Report endpoints are deprecated for new workflows. Use the Tables API for new dataset import, evaluation, scoring, recalculation, and reporting workflows.
GET /reports/{report_id}/score endpoint instead (link).Response
Report retrieved successfully
Was this page helpful?

